View Issue Details

IDProjectCategoryView StatusLast Update
0001390bareos-core[All Projects] installer / packagespublic2021-11-24 10:49
ReportertastydrAssigned Toarogge 
PrioritynormalSeverityminorReproducibilityalways
Status acknowledgedResolutionopen 
PlatformLinuxOSDebianOS Version10
Product Version20.0.2 
Fixed in Version 
Summary0001390: debian package python-bareos and python3-bareos not co-installable
DescriptionHi all,
  If I try to install python3-bareos after python-bareos is already installed there is an error showing that the two packages both contain the file '/usr/bin/bareos-fd-connect.py'.
  This makes it difficult to migrate python 2 scripts to python 3. :)

Thanks for your work!
C.

# apt install python3-bareos
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  python3-bareos
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/16.9 kB of archives.
After this operation, 112 kB of additional disk space will be used.
(Reading database ... 107524 files and directories currently installed.)
Preparing to unpack .../python3-bareos_20.0.1-3_all.deb ...
Unpacking python3-bareos (20.0.1-3) ...
dpkg: error processing archive /var/cache/apt/archives/python3-bareos_20.0.1-3_all.deb (--unpack):
 trying to overwrite '/usr/bin/bareos-fd-connect.py', which is also in package python-bareos 20.0.1-3
Errors were encountered while processing:
 /var/cache/apt/archives/python3-bareos_20.0.1-3_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

arogge

arogge

2021-11-23 16:01

developer   ~0004354

I can reproduce the issue.
If it is just for migrating your scripts, you can simply install python-bareos using pip which will also work per user or in a virtual env.

Hope that helps!
bruno-at-bareos

bruno-at-bareos

2021-11-24 10:49

developer   ~0004356

dpkg --force-all --install /var/cache/apt/archives/python3-bareos_20.0.4-1_all.deb (or whatever version you have) can be used to force the python3 to be installed.
To add information : such trouble doesn't exist in the rpm delivered packages as only python3 contain /usr/bin/ scripts.

Issue History

Date Modified Username Field Change
2021-10-07 16:39 tastydr New Issue
2021-11-23 16:01 arogge Assigned To => arogge
2021-11-23 16:01 arogge Status new => acknowledged
2021-11-23 16:01 arogge Note Added: 0004354
2021-11-24 10:49 bruno-at-bareos Note Added: 0004356